<br><br>

<h1 align = "center">Erbium Shaders</h1>

<p align = "center">A fork of Photon Shaders. One of the most realistic shaders of them all*!</p>

![Screenshot](docs/images/a.png)

## intro

* Erbium Shaders is a fork of [Photon Shaders](https://modrinth.com/shader/photon-shader), which: employs modern technologies to transform Minecraft’s blocky, 
simple graphics into a realistic, detailed, and immersive experience. Its primary focus is on introducing realistic lighting, shadows, reflections, and other visual 
effects without overburdening the system. This makes it an ideal choice for players who prioritize both beautiful graphics and smooth gameplay.

## key features

1. Dynamic Lighting
One of the most prominent features of Erbium Shaders is its real-time dynamic lighting. Natural light sources such as sunlight and moonlight, as well as artificial light sources like torches and lamps, cast realistic lights and shadows on the world. The dynamic shadows follow the transition of day and night, and moving objects cast accurate shadows.

2. Real-Time Reflections
Reflective surfaces such as water and glass appear incredibly lifelike thanks to real-time reflections. Lakes, rivers, and oceans reflect the surrounding environment and sky, adding breathtaking realism to Minecraft’s visuals.

3. Enhanced Water Simulation
The water rendering is one of Erbium's most strongest points. The rippling, transparent water surface is not only beautiful but also interactive, responding to sunlight and casting natural-looking shadows onto deeper layers. Smooth color gradients at the interface between shallow water and the seabed further enhance the realistic 

6. Atmospheric Effects
Fog: Subtle fog is applied to distant objects, creating a sense of depth and atmosphere, especially in mountainous or forested biomes.
Sun and Moon Rays: Erbium Shaders introduces gorgeous sun rays that pierce through treetops or mountain peaks. At night, moon rays provide a similarly magical effect.
Sunsets and Sunrises: The transition between day and night is breathtaking, featuring vibrant colors and natural gradients.
7. Realistic Shadows
Erbium features a finely tuned shadow system that accurately represents the shape and position of objects. Shadows are sharp when the light source is close and become softer and more diffused as the distance increases.

8. Performance Optimization
Despite its high-quality visuals, Erbium Shaders emphasizes performance optimization. This ensures that the shader runs smoothly even on lower-end systems while maintaining exceptional visual quality.
   
9. Customization
Erbium Shaders offers a wide range of customization options, allowing players to tailor the shader to their preferences and system capabilities. For example:
> - Fog intensity and distance
> - Shadow quality and range
> - Reflection detail
> - Water transparency and movement
> - Impact of light sources on the environment
  
This flexibility makes Erbium Shaders a great choice for both beginners and advanced Minecraft shader enthusiasts.

## key features added

1. Fully Redesigned Fog Engine
Erbium Shaders features a completely new fog engine that creates smoother, more realistic fog effects. The fog dynamically interacts with light sources, producing stunning atmospheric effects in 
various biomes, especially forests, mountains, and caves. Its dense now also depends on its height! If you're up the mountains you won't really see any fog, but more you go down, the more denser, 
and taller the fog will be! (Until Y: 20)

3. Full Hungarian Language Support
Erbium Shaders includes complete Hungarian language support, ensuring that all menus, settings, and in-game texts are fully localized for Hungarian players. This makes the shader more 
accessible and enjoyable for Hungarian-speaking users, providing an intuitive and user-friendly experience.

## compatibility

To ensure proper functionality, the following requirements must be met:

Minecraft Version: 1.20.1 or later.
Shader Support: Requires OptiFine or Iris.
Minimum System Requirements:
At least 8 GB of RAM.
OpenGL 3.2 or higher support.

## known issues
- Litematica Mod can't render textures as holograms:
    > _If you load a schematic, the ghost blocks will have textures. Litematica's renderer isn't made for Erbium OR Photon, which means it can't render "custom" textures. With shader you'll only 
	see normal Block Holograms._

## note

Erbium Shaders is a fork of [Photon Shaders](https://modrinth.com/shader/photon-shader). Photon Shaders is made by [SixthSurge](https://modrinth.com/user/sixthsurge)! This all wouldn't be possible without him, 
and [EminGT](https://modrinth.com/user/EminGT).