// 第一组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    create.compacting(
        Item.of("legendarysurvivaloverhaul:heart_fragment"),
        [
            'create:polished_rose_quartz',
            Fluid.of("create:chocolate", 1000),
            Fluid.of("create:honey", 1000)
        ]
    );

    create.compacting(
        Item.of("legendarysurvivaloverhaul:shield_container"),
        [
            'create:experience_nugget',
            Fluid.of("create:honey", 100),
            Fluid.of("minecraft:milk", 100)
        ]
    );

    create.compacting(
        Item.of("legendarysurvivaloverhaul:sponge"),
        [
            Item.of('minecraft:sponge', 16),
            Fluid.of("create_enchantment_industry:hyper_experience", 1000)
        ]
    );

    create.compacting(
        Item.of("legendarysurvivaloverhaul:nether_chalice"),
        [
            Item.of('minecraft:nether_star'),
            Fluid.of("create_enchantment_industry:hyper_experience", 1000),
            Fluid.of("lava", 1000)
        ]
    );

    create.mixing(
        Fluid.of("create_mechanical_chicken:seed_oil", 100),
        '#forge:seeds'
    );

    create.milling(
        [
            Item.of("create:experience_nugget").withChance(0.5),
            Item.of("create:experience_nugget", 2).withChance(0.25)
        ],
        "spelunkery:nephrite_chunk"
    );

    create.crushing(
        [
            "createmetallurgy:dirty_zinc_dust",
            Item.of("createmetallurgy:dirty_zinc_dust").withChance(0.75)
        ],
        "create:crushed_raw_zinc"
    );

    create.crushing(
        [
            "createmetallurgy:dirty_gold_dust",
            Item.of("createmetallurgy:dirty_gold_dust").withChance(0.75)
        ],
        "create:crushed_raw_gold"
    );

    create.crushing(
        [
            "createmetallurgy:dirty_iron_dust",
            Item.of("createmetallurgy:dirty_iron_dust").withChance(0.75)
        ],
        "create:crushed_raw_iron"
    );

    create.crushing(
        [
            "createmetallurgy:dirty_copper_dust",
            Item.of("createmetallurgy:dirty_copper_dust").withChance(0.75)
        ],
        "create:crushed_raw_copper"
    );

    create.crushing(
        [
            "createmetallurgy:dirty_wolframite_dust",
            Item.of("createmetallurgy:dirty_wolframite_dust").withChance(0.75)
        ],
        "createmetallurgy:crushed_raw_wolframite"
    );

    create.crushing(
        [
            "kubejs:dirty_tin_dust",
            Item.of("kubejs:dirty_tin_dust").withChance(0.75)
        ],
        'create_ironworks:crushed_raw_tin'
    );

    create.crushing(
        [
            "kubejs:dirty_chromium_dust",
            Item.of("kubejs:dirty_chromium_dust").withChance(0.75)
        ],
        'destroy:crushed_raw_chromium'
    );

    create.crushing(
        [
            "kubejs:dirty_lead_dust",
            Item.of("kubejs:dirty_lead_dust").withChance(0.75)
        ],
        'create:crushed_raw_lead'
    );

    create.crushing(
        [
            "kubejs:dirty_nickel_dust",
            Item.of("kubejs:dirty_nickel_dust").withChance(0.75)
        ],
        'create:crushed_raw_nickel'
    );

    create.crushing(
        [
            "kubejs:dirty_palladium_dust",
            Item.of("kubejs:dirty_palladium_dust").withChance(0.75)
        ],
        'destroy:crushed_raw_palladium'
    );

    create.crushing(
        [
            "kubejs:dirty_platinum_dust",
            Item.of("kubejs:dirty_platinum_dust").withChance(0.75)
        ],
        'create:crushed_raw_platinum'
    );

    create.crushing(
        [
            "kubejs:dirty_rhodium_dust",
            Item.of("kubejs:dirty_rhodium_dust").withChance(0.75)
        ],
        'destroy:crushed_raw_rhodium'
    );

    create.crushing(
        Item.of("witheringboon:hardenedprismarine").withChance(0.001),
        'minecraft:prismarine'
    );

    create.cutting(
        [
            "spelunkery:rough_diamond",
            Item.of("tetra:pristine_diamond").withChance(0.005),
            Item.of("spelunkery:rough_diamond").withChance(0.25),
            Item.of("spelunkery:rough_diamond_shard", 6).withChance(0.75)
        ],
        "createoreexcavation:raw_diamond"
    );

    create.cutting(
        [
            "spelunkery:rough_emerald",
            Item.of("tetra:pristine_emerald").withChance(0.005),
            Item.of("spelunkery:rough_emerald").withChance(0.25),
            Item.of("spelunkery:rough_emerald_shard", 6).withChance(0.75)
        ],
        "createoreexcavation:raw_emerald"
    );

    create.cutting(
        [
            "spelunkery:rough_cinnabar",
            Item.of("spelunkery:rough_cinnabar").withChance(0.25),
            Item.of("spelunkery:rough_cinnabar_shard", 6).withChance(0.75)
        ],
        "createoreexcavation:raw_redstone"
    );

    create.pressing(
        'protection_pixel:smallnetheritesheet',
        "create_crush_everything:netherite_shard"
    );

    create.filling(
        'biomemakeover:enchanted_totem',
        [
            "totemfactory:inactive_totem",
            Fluid.of("create_enchantment_industry:hyper_experience", 75)
        ]
    );

    const incomplete = "create:sturdy_sheet";
    create.sequenced_assembly(
        [
            Item.of("create_enchantment_industry:enchanting_guide")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "minecraft:nether_star"]),
            create.cutting(incomplete, incomplete),
            create.filling(incomplete, [incomplete, Fluid.of("create_enchantment_industry:ink", 1000)]),
            create.filling(incomplete, [incomplete, Fluid.of("create_enchantment_industry:hyper_experience", 500)]),
            create.pressing(incomplete, incomplete)
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 第二组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:brass_block";
    create.sequenced_assembly(
        [
            Item.of("createdieselgenerators:diesel_engine")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "createdieselgenerators:engine_piston"]),
            create.deploying(incomplete, [incomplete, "createdieselgenerators:engine_piston"]),
            create.deploying(incomplete, [incomplete, "createdieselgenerators:lighter"]),
            create.deploying(incomplete, [incomplete, "create:fluid_tank"]),
            create.deploying(incomplete, [incomplete, "minecraft:polished_blackstone_slab"]),
            create.deploying(incomplete, [incomplete, "minecraft:polished_blackstone_slab"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 第三组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "createdieselgenerators:diesel_engine";
    create.sequenced_assembly(
        [
            Item.of("createdieselgenerators:large_diesel_engine")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "create:brass_sheet"]),
            create.deploying(incomplete, [incomplete, "create:brass_sheet"]),
            create.deploying(incomplete, [incomplete, "create:andesite_alloy"]),
            create.deploying(incomplete, [incomplete, "minecraft:polished_blackstone_slab"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 第四组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:steam_engine";
    create.sequenced_assembly(
        [
            Item.of("createdieselgenerators:huge_diesel_engine")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "create:brass_sheet"]),
            create.deploying(incomplete, [incomplete, "createdieselgenerators:lighter"]),
            create.deploying(incomplete, [incomplete, "create:fluid_pipe"]),
            create.deploying(incomplete, [incomplete, "create:brass_block"]),
            create.deploying(incomplete, [incomplete, "create:andesite_alloy"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 第五组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:mechanical_bearing";
    create.sequenced_assembly(
        [
            Item.of("createdieselgenerators:pumpjack_bearing")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "create:zinc_ingot"]),
            create.deploying(incomplete, [incomplete, "create:andesite_alloy"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(3);
});

// 第六组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "minecraft:barrel";
    create.sequenced_assembly(
        [
            Item.of("createdieselgenerators:canister")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "create:iron_sheet"]),
            create.deploying(incomplete, [incomplete, "create:andesite_alloy"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(3);
});

// 第七组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:copper_casing";
    create.sequenced_assembly(
        [
            Item.of("createdieselgenerators:pumpjack_hole")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "create:fluid_pipe"]),
            create.deploying(incomplete, [incomplete, "minecraft:chain"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(2);
});

// 第八组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:brass_casing";
    create.sequenced_assembly(
        [
            Item.of("createaddition:modular_accumulator")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "createaddition:capacitor"]),
            create.deploying(incomplete, [incomplete, "createaddition:gold_wire"]),
            create.deploying(incomplete, [incomplete, "createaddition:copper_rod"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(2);

    create.sequenced_assembly(
        [
            Item.of("createaddition:modular_accumulator")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "createaddition:capacitor"]),
            create.deploying(incomplete, [incomplete, "createaddition:electrum_wire"]),
            create.deploying(incomplete, [incomplete, "createaddition:copper_rod"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(2);
});

// 第九组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:brass_casing";
    create.sequenced_assembly(
        [
            Item.of("createaddition:portable_energy_interface")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "create:chute"]),
            create.deploying(incomplete, [incomplete, "createaddition:copper_spool"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 第十组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:empty_blaze_burner";
    create.sequenced_assembly(
        [
            Item.of("moreburners:electric_burner")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "create:andesite_casing"]),
            create.deploying(incomplete, [incomplete, "minecraft:tinted_glass"]),
            create.deploying(incomplete, [incomplete, "minecraft:tinted_glass"]),
            create.deploying(incomplete, [incomplete, "moreburners:copper_coil"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 第十一组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:brass_casing";
    create.sequenced_assembly(
        [
            Item.of('createcobblestone:mechanical_generator', '{BlockEntityTag:{type:"none"}}')
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "minecraft:water_bucket"]),
            create.deploying(incomplete, [incomplete, "minecraft:lava_bucket"]),
            create.deploying(incomplete, [incomplete, "create:mechanical_drill"]),
            create.deploying(incomplete, [incomplete, "create:brass_ingot"]),
            create.deploying(incomplete, [incomplete, "create:electron_tube"]),
            create.deploying(incomplete, [incomplete, "create:brass_casing"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 第十二组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create_connected:item_silo";
    create.sequenced_assembly(
        [
            Item.of('create_mechanical_chicken:mechanical_chicken')
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "create:brass_sheet"]),
            create.deploying(incomplete, [incomplete, "create:brass_sheet"]),
            create.deploying(incomplete, [incomplete, "#forge:eggs"]),
            create.deploying(incomplete, [incomplete, "#forge:eggs"]),
            create.deploying(incomplete, [incomplete, "create:shaft"]),
            create.deploying(incomplete, [incomplete, "create:cogwheel"])
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 第十三组配方
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:iron_sheet";
    create.sequenced_assembly(
        [
            Item.of("confluence:magic_mirror")
        ],
        incomplete,
        [
            create.deploying(incomplete, [incomplete, "minecraft:glass"]),
            create.cutting(incomplete, incomplete),
            create.filling(incomplete, [incomplete, Fluid.of("spelunkery:portal_fluid", 288)]),
            create.pressing(incomplete, incomplete)
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
});

// 不死图腾外壳
ServerEvents.recipes(event => {
    const create = event.recipes.create;

    const incomplete = "create:brass_sheet";
    create.sequenced_assembly(
        [
            Item.of('totemfactory:totem_body_casing')
        ],
        incomplete,
        [
            create.cutting(incomplete, incomplete),
            create.filling(incomplete, [incomplete, Fluid.of("create:honey", 100)]),
            create.pressing(incomplete, incomplete)
        ]
    )
    .transitionalItem(incomplete)
    .loops(1);
    event.remove({output:'totemfactory:totem_body_casing'})
});