ServerEvents.recipes(event => {

  // 有序合成

  // 红气球
  event.shaped('confluence:shiny_red_balloon', [
      ['minecraft:red_dye', 'minecraft:paper', 'minecraft:red_dye'],
      ['minecraft:paper', 'quark:bottled_cloud', 'minecraft:paper'],
      ['string', 'minecraft:lead', 'string']
  ]);

  // 油桶
  event.shaped('createdieselgenerators:oil_barrel', [
      ['create:iron_sheet', 'create:iron_sheet', 'create:iron_sheet'],
      ['minecraft:iron_ingot', null, 'minecraft:iron_ingot'],
      ['create:iron_sheet', 'create:iron_sheet', 'create:iron_sheet']
  ]);

  // 火箭靴
  event.shaped('confluence:rocket_boots', [
      ['minecraft:leather', 'minecraft:blaze_powder', 'minecraft:leather'],
      ['minecraft:leather', 'minecraft:iron_boots', 'minecraft:leather'],
      ['minecraft:firework_rocket', null, 'minecraft:firework_rocket']
  ]);

  // 铅球
  event.shaped('confluence:shot_put', [
      ['minecraft:chain', null, null],
      [null, 'minecraft:iron_block', 'minecraft:iron_block'],
      [null, 'minecraft:iron_block', 'minecraft:iron_block']
  ]);

  // 手电筒
  event.shaped('confluence:flashlight', [
      ['minecraft:glass', 'create:iron_sheet', null],
      ['create:iron_sheet', 'minecraft:echo_shard', 'create:iron_sheet'],
      [null, 'create:iron_sheet', 'createaddition:capacitor']
  ]);

  // 三折地图
  event.shaped('confluence:trifold_map', [
      [null, null, null],
      ['minecraft:map', 'minecraft:blaze_powder', 'minecraft:map'],
      ['minecraft:blaze_powder', 'minecraft:map', 'minecraft:blaze_powder']
  ]);

  // 赫尔墨斯之靴
  event.shaped('confluence:hermes_boots', [
      ['minecraft:feather', 'minecraft:rabbit_hide', 'minecraft:feather'],
      ['spelunkery:emerald_shard', 'minecraft:chainmail_boots', 'spelunkery:emerald_shard'],
      ['create:experience_nugget', 'create:experience_nugget', 'create:experience_nugget']
  ]);

  // 恐慌项链
  event.shaped('confluence:panic_necklace', [
      ['minecraft:chain', 'minecraft:nether_wart', null],
      ['spelunkery:cinnabar', 'minecraft:ghast_tear', 'spelunkery:cinnabar'],
      [null, 'spelunkery:cinnabar', null]
  ]);

  // 工具腰带
  event.shaped('confluence:toolbelt', [
      ['quark:red_shard', 'minecraft:brush', 'quark:red_shard'],
      ['quark:trowel', 'supplementaries:rope', 'spelunkery:flint_hammer_and_chisel'],
      ['quark:red_shard', 'create:wrench', 'quark:red_shard']
  ]);

  // 工具箱
  event.shaped('confluence:toolbox', [
      [null, 'minecraft:wooden_hoe', null],
      ['minecraft:wooden_pickaxe', 'create:red_toolbox', 'minecraft:wooden_shovel'],
      [null, 'minecraft:wooden_axe', null]
  ]);

  // 便携式水泥搅拌机
  event.shaped('confluence:portable_cement_mixer', [
      ['farmersdelight:rope', 'create:whisk', 'farmersdelight:rope'],
      ['farmersdelight:rope', 'create:basin', 'farmersdelight:rope'],
      ['create:iron_sheet', 'create:iron_sheet', 'create:iron_sheet']
  ]);

  // 砖层
  event.shaped('confluence:brick_layer', [
      [null, null, 'quark:trowel'],
      [null, 'minecraft:blaze_rod', null],
      ['createdieselgenerators:kelp_handle', null, null]
  ]);

  // 水上行走靴
  event.shaped('confluence:water_walking_boots', [
      ['spelunkery:emerald_shard', null, 'spelunkery:emerald_shard'],
      ['minecraft:lapis_lazuli', 'minecraft:chainmail_boots', 'minecraft:lapis_lazuli'],
      ['minecraft:feather', 'minecraft:feather', 'minecraft:feather']
  ]);

  // 钓鱼耳环
  event.shaped('confluence:angler_earring', [
      [null, 'tetra:pristine_emerald', null],
      [null, 'tetra:pristine_emerald', null],
      [null, 'tetra:pristine_emerald', null]
  ]);

  // 十字护身符
  event.shaped('confluence:ankh_charm', [
      [null, 'confluence:nutrient_solution', null],
      ['confluence:detoxification_capsule', 'minecraft:nether_star', 'confluence:searchlight'],
      ['confluence:the_plan', 'quark:dragon_scale', 'confluence:explorers_equipment']
  ]);
  
  //无序合成

  // 打火石
  event.shapeless('minecraft:flint_and_steel', ['minecraft:iron_ingot', 'minecraft:blaze_powder', 'minecraft:flint']);

  // 火柴
  event.shapeless('iguanatweaksreborn:firestarter', ['minecraft:flint', 'minecraft:flint', 'minecraft:iron_ingot']);

  // 木炭
  event.shapeless(Item.of('minecraft:charcoal', 4), 'immersive_weathering:charred_log');

  // 绷带
  event.shapeless('legendarysurvivaloverhaul:bandage', ['majruszsdifficulty:bandage', 'majruszsdifficulty:bandage']);

  // 草药
  event.shapeless('legendarysurvivaloverhaul:healing_herbs', ['#minecraft:flowers', '#minecraft:flowers']);

  // 自定义配方

  // 发酵池发酵
  event.custom({
      "type": "createdieselgenerators:basin_fermenting",
      "ingredients": [
          {"item": "immersive_weathering:moss_clump"},
          {"tag": "forge:ingots/gold"},
          {"tag": "forge:ingots/gold"},
          {"tag": "forge:ingots/gold"},
          {"tag": "forge:ingots/gold"},
          {"tag": "forge:ingots/gold"},
          {"fluid": "create:potion", "nbt": {"Potion": "minecraft:mundane"}, "amount": 100}
      ],
      "processingTime": 400,
      "results": [
          {"item": "immersive_weathering:golden_moss_clump"},
          {"fluid": "create:potion", "nbt": {"Potion": "minecraft:thick"}, "amount": 100}
      ]
  });

  // 发酵池发酵
  event.custom({
      "type": "createdieselgenerators:basin_fermenting",
      "ingredients": [
          {"item": "immersive_weathering:golden_moss_clump"},
          {"fluid": "create_enchantment_industry:hyper_experience", "amount": 250},
          {"fluid": "create:honey", "amount": 250}
      ],
      "processingTime": 6000,
      "results": [
          {"item": "immersive_weathering:enchanted_golden_moss_clump"}
      ]
  });

  // 发酵池发酵
  event.custom({
      "type": "createdieselgenerators:basin_fermenting",
      "ingredients": [
          {"item": "minecraft:golden_apple"},
          {"fluid": "create_enchantment_industry:hyper_experience", "amount": 250},
          {"fluid": "create:honey", "amount": 250}
      ],
      "processingTime": 6000,
      "results": [
          {"item": "minecraft:enchanted_golden_apple"}
      ]
  });

  // 发酵池发酵
  event.custom({
      "type": "createdieselgenerators:basin_fermenting",
      "ingredients": [
          {"item": "majruszsdifficulty:bandage"},
          {"item": "minecraft:gold_nugget"},
          {"item": "minecraft:gold_nugget"},
          {"item": "minecraft:gold_nugget"},
          {"item": "minecraft:gold_nugget"},
          {"item": "minecraft:gold_nugget"},
          {"fluid": "create:potion", "nbt": {"Potion": "minecraft:mundane"}, "amount": 100}
      ],
      "processingTime": 400,
      "results": [
          {"item": "majruszsdifficulty:golden_bandage"},
          {"fluid": "create:potion", "nbt": {"Potion": "minecraft:thick"}, "amount": 100}
      ]
  });

  // 形状化合成
  event.custom({
      "type": "minecraft:crafting_shaped",
      "pattern": [
          "EPE",
          "SSS",
          "MMM"
      ],
      "key": {
          "E": {"item": "minecraft:string"},
          "P": {"item": "minecraft:iron_ingot"},
          "S": {"item": "majruszsdifficulty:golden_bandage"},
          "M": {"tag": "minecraft:wool"}
      },
      "result": {"item": "legendarysurvivaloverhaul:medikit"}
  });

  // 创造控制器
  event.custom({
      "type": "minecraft:crafting_shaped",
      "pattern": [
          "EPE",
          "SMS",
          "ESE"
      ],
      "key": {
          "E": {"item": "refinedstorage:quartz_enriched_iron"},
          "P": {"item": "refinedstorage:advanced_processor"},
          "S": {"tag": "forge:silicon"},
          "M": {"item": "refinedstorage:machine_casing"}
      },
      "result": {"item": "refinedstorage:creative_controller"}
  });

  // 铜线圈
  event.custom({
    "type": "minecraft:crafting_shaped",
    "pattern": [
      "EEE",
      "EEE",
      "EEE"
    ],
    "key": {
      "E": { "item": "createaddition:copper_wire" }
    },
    "result": { "item": "moreburners:copper_coil" }
  });

  // 墓园骨罐
  event.custom({
    "type": "graveyard:ossuary_carving",
    "count": 1,
    "ingredient": {
      "item": "minecraft:bone_block"
    },
    "result": "graveyard:lower_bone_staff"
  });

  event.custom({
    "type": "graveyard:ossuary_carving",
    "count": 1,
    "ingredient": {
      "item": "biomancy:creator_mix"
    },
    "result": "graveyard:middle_bone_staff"
  });

  event.custom({
    "type": "graveyard:ossuary_carving",
    "count": 1,
    "ingredient": {
      "item": "twilightforest:lich_trophy"
    },
    "result": "graveyard:upper_bone_staff"
  });

  // 生物炼金
  event.custom({
    "type": "biomancy:bio_brewing",
    "ingredients": [
      { "item": "biomancy:bloomberry" },
      { "item": "biomancy:creator_mix" },
      { "item": "biomancy:living_flesh" },
      { "item": "biomancy:healing_additive" }
    ],
    "nutrientsCost": 20,
    "processingTime": 1200,
    "reactant": { "item": "biomancy:absorption_boost" },
    "result": { "item": "legendarysurvivaloverhaul:heart_fragment" }
  });

  event.custom({
    "type": "biomancy:bio_brewing",
    "ingredients": [
      { "item": "biomancy:decaying_additive" },
      { "item": "biomancy:creator_mix" }
    ],
    "nutrientsCost": 100,
    "processingTime": 2400,
    "reactant": { "item": "minecraft:ink_sac" },
    "result": { "item": "confluence:putrid_scent" }
  });

  event.custom({
    "type": "biomancy:bio_brewing",
    "ingredients": [
      { "item": "biomancy:hormone_secretion" },
      { "item": "biomancy:healing_additive" }
    ],
    "nutrientsCost": 2,
    "processingTime": 160,
    "reactant": { "item": "biomancy:healing_additive" },
    "result": { "item": "legendarysurvivaloverhaul:tonic" }
  });

  // 烹饪
  event.custom({
    "type": "farmersdelight:cooking",
    "cookingtime": 200,
    "experience": 2.0,
    "ingredients": [
      { "item": "crabbersdelight:crab" },
      { "tag": "forge:dough" },
      { "tag": "forge:milk/milk_bottle" },
      { "item": "minecraft:egg" },
      { "item": "farmersdelight:onion" }
    ],
    "recipe_book_tab": "meals",
    "result": { "item": "crabbersdelight:crab_cakes" }
  });

  // 消化器
  event.custom({
    "type": "biomancy:decomposing",
    "ingredient": { "tag": "pork" },
    "nutrientsCost": 1,
    "processingTime": 200,
    "results": [
      { "countRange": { "type": "uniform", "max": 3, "min": 1 }, "item": "biomancy:flesh_bits" },
      { "countRange": { "type": "uniform", "max": 2, "min": 1 }, "item": "biomancy:elastic_fibers" }
    ]
  });

  event.custom({
    "type": "biomancy:decomposing",
    "ingredient": { "tag": "veget" },
    "nutrientsCost": 1,
    "processingTime": 200,
    "results": [
      { "countRange": { "type": "uniform", "max": 3, "min": 1 }, "item": "biomancy:organic_matter" }
    ]
  });

  event.custom({
    "type": "confluence:workshop",
    "ingredients": [
        {
            "item": 'kubejs:gold_coin',
            "count": 64
        }
    ],
    "result": {
        "item": 'kubejs:diamond_coin'
    }
  });

  event.custom({
    "type": "confluence:workshop",
    "ingredients": [
        {
            "item": 'kubejs:diamond_coin',
            "count": 64
        }
    ],
    "result": {
        "item": 'kubejs:netherite_coin'
    }
  });












});





