ServerEvents.recipes(event => {
    // 移除 Sophisticated Backpacks 相关配方
    const sophisticatedBackpacksRecipes = [
        "sophisticatedbackpacks:magnet_upgrade",
        "sophisticatedbackpacks:advanced_magnet_upgrade",
        "sophisticatedbackpacks:compacting_upgrade",
        "sophisticatedbackpacks:advanced_compacting_upgrade",
        "sophisticatedbackpacks:inception_upgrade",
        "sophisticatedbackpacks:xp_pump_upgrade",
        "sophisticatedbackpacks:stack_upgrade_starter_tier",
        "sophisticatedbackpacks:stack_upgrade_tier_1",
        "sophisticatedbackpacks:stack_upgrade_tier_2",
        "sophisticatedbackpacks:stack_upgrade_tier_3",
        "sophisticatedbackpacks:stack_upgrade_tier_4",
        "sophisticatedbackpacks:upgrade_base",
        "sophisticatedbackpacks:feeding_upgrade"
    ];
    sophisticatedBackpacksRecipes.forEach(item => event.remove({ output: item }));

    // 移除 Refined Storage 相关配方
    const refinedStorageRecipes = [
        "refinedstorage:creative_portable_grid",
        "refinedstorage:portable_grid",
        "refinedstorage:64k_storage_part",
        "refinedstorage:1024k_fluid_storage_part",
        "refinedstorage:256k_fluid_storage_part",
        "refinedstorage:4096k_fluid_storage_part",
        "refinedstorage:controller"

    ];
    refinedStorageRecipes.forEach(item => event.remove({ output: item }));

    // 移除 Create 相关配方
    const createRecipes = [
        "create:crafting/kinetics/cart_assembler",
        "create:crafting/kinetics/fluid_vessel",
        "create_connected:crafting/kinetics/item_silo",
        "create_connected:crafting/kinetics/fluid_vessel",
        "create_mechanical_chicken:compacting/compacting_seed_oil",
        "create_mechanical_chicken:mechanical_chicken",
        "create_ironworks:steel_ingot",
        "create_ironworks:steel_nugget",
        "create_ironworks:bronze_ingot",
        "create_ironworks:bronze_nugget",
        "createoreexcavation:cutting/diamond_cutting",
        "createoreexcavation:cutting/emerald_cutting",
        "createoreexcavation:milling/redstone_milling",
        "createoreexcavation:crushing/redstone_crushing",
        "createmetallurgy:milling/crushed_raw_wolframite",
        "createmetallurgy:milling/crushed_raw_gold",
        "createmetallurgy:milling/crushed_raw_iron",
        "createmetallurgy:milling/crushed_raw_copper",
        "createmetallurgy:milling/crushed_raw_zinc",
        "createmetallurgy:tungsten_wire",
        "createmetallurgy:blasting/coke_from_coal",
        "createmetallurgy:smelting/coke_from_coal",
        "createdieselgenerators:crafting/oil_barrel"
    ];
    createRecipes.forEach(item => event.remove({ id: item }));

    // 移除其他模组的配方
    const otherRecipes = [
        "solcarrot:food_book",
        "vintageimprovements:belt_grinder",
        "vintageimprovements:grinder_belt",
        "upgrade_aquatic:bedroll",
        "unusualfoodsdelight:dragon_egg_casserole_block",
        "destroy:iron_powder",
        "destroy:copper_powder",
        "destroy:chromium_powder",
        "destroy:lead_powder",
        "destroy:nickel_powder",
        "destroy:palladium_powder",
        "destroy:platinum_powder",
        "destroy:rhodium_powder",
        "destroy:zinc_powder",
        "legendarysurvivaloverhaul:purified_water_bottle",
        "legendarysurvivaloverhaul:medikit",
        "legendarysurvivaloverhaul:bandage",
        "majruszsdifficulty:bandage_golden",
        "waystones:warp_stone",
        "waystones:warp_dust",
        "waystones:warp_plate",
        "confluence:rocket_boots",
        "confluence:ankh_charm",
        "confluence:magic_mirror_from_platinum_ingot",
        "confluence:magic_mirror_from_gold_ingot",
        "createaddition:compacting/seed_oil",
        "createaddition:modular_accumulator",
        "createaddition:portable_energy_interface",
        "createoreexcavation:cutting/diamond_cutting",
        "createoreexcavation:cutting/emerald_cutting",
        "createoreexcavation:milling/redstone_milling",
        "createoreexcavation:crushing/redstone_crushing",
        "createcobblestone:mechanical_generator",
        "createdieselgenerators:diesel_engine",
        "createdieselgenerators:large_diesel_engine",
        "createdieselgenerators:huge_diesel_engine",
        "createdieselgenerators:pumpjack_bearing",
        "createdieselgenerators:pumpjack_hole",
        "moreburners:electric_burner",
        "moreburners:copper_coil",
        "minecraft:golden_apple",
        "minecraft:golden_carrot",
        "minecraft:flint_and_steel",
        "minecraft:charcoal",
        "natures_spirit:charcoal_from_coconuts",
        "immersive_weathering:charred_log",
        "immersive_weathering:golden_moss_clump",
        "biomeswevegone:golden_apple_from_green_apple",
        "quark:oddities/crafting/backpack",
        "quark:oddities/crafting/pipe",
        "quark:automation/crafting/crafter",
        "quark:tweaks/crafting/utility/bent/bread",
        "quark:potato_crate",
        "quark:carrot_crate",
        "quark:beetroot_crate",
        "spelunkery:lodestone",
        "spelunkery:/lava_passive",
        "vintagedelight:oat_bread",
        "legendarysurvivaloverhaul:healing_herbs",
        "legendarysurvivaloverhaul:tonic",
        "biomancy/digesting/nutrient_paste_from_nether_wart_block",
        "iguanatweaksreborn:over_easy_egg",
        "createaddition:seed_oil_bucket",
        "farmersdelight:wheat_dough",
        "crabbersdelight:crab_cakes",
        "crabbersdelight:cooked_clam_meat",
        "biomemakeover:cooked_crab",
        "biomemakeover:roasted_bulbus_root",
        "biomemakeover:cooked_glowfish",
        "mynethersdelight:boiled_egg",
        "mynethersdelight:roasted_sausage",
        "crabbersdelight:cooked_frog_leg",
        "crabbersdelight:cooked_glow_squid_tentacles",
        "crabbersdelight:cooked_squid_tentacles",
        "crabbersdelight:cooked_tropical_fish_slice",
        "crabbersdelight:cooked_pufferfish_slice",
        "crabbersdelight:cooked_tropical_fish",
        "spelunkery:grilled_portabella",
        "mynethersdelight:cooked_loin",
        "confluence:magic_mirror"
    ];
    otherRecipes.forEach(item => event.remove({ output: item }));

    // 移除特定类型的配方
    const smeltingRecipes = [
        "crabbersdelight:cooked_clam_meat",
        "biomemakeover:cooked_crab",
        "biomemakeover:roasted_bulbus_root",
        "biomemakeover:cooked_glowfish",
        "mynethersdelight:boiled_egg",
        "mynethersdelight:roasted_sausage",
        "crabbersdelight:cooked_frog_leg",
        "crabbersdelight:cooked_glow_squid_tentacles",
        "crabbersdelight:cooked_squid_tentacles",
        "crabbersdelight:cooked_tropical_fish_slice",
        "crabbersdelight:cooked_pufferfish_slice",
        "crabbersdelight:cooked_tropical_fish",
        "spelunkery:grilled_portabella",
        "mynethersdelight:cooked_loin"
    ];
    smeltingRecipes.forEach(item => event.remove({ output: item, type: "smelting" }));

    // 移除特定输入的配方
    const inputRecipes = [
        "legendarysurvivaloverhaul:purified_water_bottle",
        "waystones:warp_stone",
        "createaddition:compacting/seed_oil",
        "upgrade_aquatic:bedroll",
        "sophisticatedbackpacks:upgrade_base"
    ];
    inputRecipes.forEach(item => event.remove({ input: item }));
});